import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class PirexContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    apxGlp({ address, network }: ContractOpts): import("./ethers").ApxGlp;
    apxGmx({ address, network }: ContractOpts): import("./ethers").ApxGmx;
    pirexPxCvx({ address, network }: ContractOpts): import("./ethers").PirexPxCvx;
}
export type { ApxGlp } from './ethers';
export type { ApxGmx } from './ethers';
export type { PirexPxCvx } from './ethers';
